Bug 511404 - RFE: support stepalternatives
RFE: support stepalternatives
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Hideo
Joshua Wulf
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 20:32 EDT by Christopher Curran
Modified: 2014-10-19 18:57 EDT (History)
7 users (show)

See Also:
Fixed In Version: 1.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-10 00:12:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example of step alternative support (19.63 KB, image/png)
2009-11-25 23:27 EST, Jeff Fearn
no flags Details

  None (edit)
Description Christopher Curran 2009-07-14 20:32:34 EDT
Description of problem:
As you may or may not know, the stepalternatives tag presently has no special formatting. Presently it formats the same way as itemized list items format. What I would love to see is the words "optional" or "alternative step" or whatever Brian suggests placed in front of the text in the step. Perhaps some light bold markup or similar.

There is a business case for this. It makes my life easier for explaining how to use different features. Presently using admonitions or repeating the procedure is the easiest way to write around it and get a similar effect. The problem with this is using admonitions is distracting and may be interpreted as no-core functionality.


Additional info:
Cider.
Comment 1 David O'Brien 2009-07-14 20:53:54 EDT
Putting a label on this tag will only limit its usefulness. If you add "optional" to all <stepalternative> tags then they can only be used as optional. If you call them alternatives, then they can only be that. It will also require revisiting and validating all those instances where the tag has already been used. Relying on formatting is ok; adding textual labels is highly questionable. There is also a team of people involved in working on our style guide, not a single person.
Comment 2 Jeff Fearn 2009-07-14 21:50:21 EDT
FYI 1: stepalternative does have:

Attribute

Name: performance
	

Type Enumeration:

optional
required
	

Default: "required"

FYI 2: Neither optional or required are contained in the translation strings in DocBook, meaning automated translation of the labels would require upstream modification.
Comment 3 Christopher Curran 2009-07-14 21:54:20 EDT
Oh, I am aware I am not the only one working. Are you aware the tag is
presently unsupported?
*WARNING: Unvalidated tag: stepalternatives*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessibility standards.

The default is also "required", not optional.

Presently it formats with a bullet point, which in this writers view is
completely wrong. Updating the output to alphabet characters would be a partial
fix. 

There is no reason why something tagged stepalternative --an alternative step--
could not have "Alternative step:" or similar appended to the front. 

The textual tags require localized support, but I'm sure we can get that
with a quick ping around our translators.
Comment 6 Jeff Fearn 2009-11-25 21:08:05 EST
(In reply to comment #3)
> The textual tags require localized support, but I'm sure we can get that
> with a quick ping around our translators.  

Localization of the 'textual tags' requires modification of the gentext keys and templates, which must be done in the upstream DocBook xsl.

I am looking in to the other issues raised.
Comment 7 Jeff Fearn 2009-11-25 23:27:27 EST
Created attachment 373911 [details]
example of step alternative support

Generated from this XML structure

   <step>
    <para>
     Once the installation of Windows Server 2003 (or R2) 32-bit edition is complete, confirm that Service Pack 2 was included in the initial installation of Windows Server 2003 before proceeding.
    </para>
    <substeps>
     <step>
      <para>
       Open the <application>System Properties</application> dialog box using one of the following methods:
      </para>
      <stepalternatives>
      <step>
       <para>
        Open the <application>System</application> applet in <application>Control Panel</application>; or
       </para>
      </step>
      <step>
       <para>
        Right-click on <application>My Computer</application> and choose <application>Properties</application>.
       </para>
      </step>
      </stepalternatives>
     </step>
Comment 8 Fedora Update System 2009-12-07 21:14:19 EST
publican-1.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc12
Comment 9 Fedora Update System 2009-12-07 21:17:43 EST
publican-1.3-0.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/publican-1.3-0.fc11
Comment 10 Fedora Update System 2009-12-09 23:13:18 EST
publican-1.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-12-09 23:26:11 EST
publican-1.3-0.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.